%define major 20
%define libname %mklibname hd %{major}
%define devname %mklibname hd -d

Summary:	Hardware Library
Name:		hwinfo
License:	GPLv2+
Group:		System/Kernel and hardware
Version:	20.2
Release:	3
Url:		http://software.opensuse.org
# Source are generated for git
# git clone git://gitorious.org/opensuse/hwinfo.git
# pushd hwinfo && git checkout %{version} &&
# popd && tar -caf %{name}-%{version}.tar.gz  hwinfo
Source0:	%{name}-%{version}.tar.bz2
BuildRequires:	doxygen
BuildRequires:	flex
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-XML-Writer
BuildRequires:	udev
%ifarch %{ix86} x86_64
BuildRequires:	libx86emu-devel
%endif

%description
A simple program that lists results from the hardware detection
library.

%files
%doc README
%{_sbindir}/hwinfo
%{_sbindir}/mk_isdnhwdb
%{_sbindir}/getsysinfo
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/hardware
%dir %{_localstatedir}/lib/hardware/udi
%dir %{_datadir}/hwinfo
%{_datadir}/hwinfo/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraies for %{name}
Group:		System/Libraries

%description -n %{libname}
Libraries for %{name}.

%files -n %{libname}
%{_libdir}/libhd.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Hardware Detection Library
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	libhd-devel = %{EVRD}

%description -n %{devname}
This library collects information about the hardware installed on a system.

%files -n %{devname}
%doc doc/libhd/html
%{_sbindir}/check_hd
%{_sbindir}/convert_hd
%{_libdir}/libhd.so
%{_libdir}/pkgconfig/hwinfo.pc
%{_includedir}/hd.h

#----------------------------------------------------------------------------

%prep
%setup -q

%build
make LIBDIR=%{_libdir} LDFLAGS="%{optflags} -Lsrc"
make doc

%install
%makeinstall_std LIBDIR=%{_libdir}

install -d -m 755 %{buildroot}%{_mandir}/man8
install -m 644 doc/hwinfo.8 %{buildroot}%{_mandir}/man8
mkdir -p %{buildroot}%{_var}/lib/hardware/udi


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 20.2-3
+ Revision: bcd3b75
- MassBuild#440: Increase release tag


